PGPSecurityFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.pgp.filters.PGPSecurityFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.pgp.filters
Class PGPSecurityFilter

    java.lang.Object
      org.mule.security.AbstractEndpointSecurityFilter
          org.mule.module.pgp.filters.PGPSecurityFilter

All Implemented Interfaces:
  MuleContextAware, Initialisable, EndpointSecurityFilter

    public class PGPSecurityFilter

extends AbstractEndpointSecurityFilter

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from class org.mule.security.AbstractEndpointSecurityFilter
`endpoint, muleContext, securityManager`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`PGPSecurityFilter()`

Method Summary
`protected void` | `authenticateInbound(MuleEvent event)`
`protected void` | `authenticateOutbound(MuleEvent event)`
`protected void` | `doInitialise()`
`PGPKeyRing` | `getKeyManager()`
`EncryptionStrategy` | `getStrategy()`
`boolean` | `isSignRequired()`
`void` | `setKeyManager(PGPKeyRing keyManager)`
`void` | `setSignRequired(boolean signRequired)`
`void` | `setStrategy(EncryptionStrategy strategy)`
`void` | `setStrategyName(String name)`

Methods inherited from class org.mule.security.AbstractEndpointSecurityFilter
`authenticate, getCredentialsAccessor, getEndpoint, getSecurityManager, getSecurityProviders, initialise, initialiseEndpoint, isAuthenticate, lazyInit, setAuthenticate, setCredentialsAccessor, setEndpoint, setMuleContext, setSecurityManager, setSecurityProviders, updatePayload`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### PGPSecurityFilter

    public PGPSecurityFilter()

Method Detail

### authenticateInbound

    protected void authenticateInbound(MuleEvent event)
                                throws SecurityException,
                                       UnauthorisedException,
                                       UnknownAuthenticationTypeException

  Specified by:
    `authenticateInbound` in class `AbstractEndpointSecurityFilter`
  Throws:
    `SecurityException`
    `UnauthorisedException`
    `UnknownAuthenticationTypeException`

### authenticateOutbound

    protected void authenticateOutbound(MuleEvent event)
                                 throws SecurityException,
                                        UnauthorisedException

  Specified by:
    `authenticateOutbound` in class `AbstractEndpointSecurityFilter`
  Throws:
    `SecurityException`
    `UnauthorisedException`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractEndpointSecurityFilter`
  Throws:
    `InitialisationException`

### getStrategy

    public EncryptionStrategy getStrategy()

### setStrategy

    public void setStrategy(EncryptionStrategy strategy)

### setStrategyName

    public void setStrategyName(String name)

### isSignRequired

    public boolean isSignRequired()

### setSignRequired

    public void setSignRequired(boolean signRequired)

### getKeyManager

    public PGPKeyRing getKeyManager()

### setKeyManager

    public void setKeyManager(PGPKeyRing keyManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.